#include <stdio.h>
#include <stdlib.h>

#define MAX 100
/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

int main(int argc, char **argv)
{
	int input;
	float num[MAX], sum;

	do
	{
		printf("Entre com a quantidade de números inteiros (máx. 100): ");
		scanf("%d", &input);
	}while(input > 100);

	for(int i = 0;i < input;i++)
	{
		printf("Digite o valor %d: ", i+1);
		scanf("%f", &num[i]);
		sum += num[i];
	}

	printf("Media: %.3f\n\n", sum/input);

	for(int i = 0;i < input;i++)
	{
		if(num[i] > sum/input){
			printf("O numero %.3f está acima da média\n", num[i]);
		}

		else if(num[i] < sum/input){
			printf("O numero %.3f está abaixo da média\n", num[i]);
		}
		else printf("O numero %.3f está na média\n", num[i]);
	}
    return 0;
}

// imposto eh roubo
